<?php

namespace App\View\Composers;

use App\Models\RechargeSummery;
use App\Models\Withdrawal;
use Illuminate\View\View;

class SideBarData
{
    /**
     * @param View $view
     */
    public function compose(View $view)
    {
        $pendingRecharges = RechargeSummery::where('status', 0)->count();
        $pendingWithdrawal = Withdrawal::where('status', 0)->count();
        $view->with(['pendingRecharges' => $pendingRecharges,'pendingWitdrawal' => $pendingWithdrawal ]);
    }
}
